
Name:		pnmixer
Version:	0.7
Release:	%mkrel 1
Summary:	Lightweight mixer applet for MATE LXDE & XFCE
Group:		Sound
License:	GPLv3
URL:		https://github.com/nicklan/pnmixer/wiki
Source0:	%name-%version.tar.xz
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: libalsa2-devel 
BuildRequires: libatk1.0-devel
BuildRequires: libcairo-devel 
BuildRequires: libgdk_pixbuf2.0_0-devel 
BuildRequires: libglib2.0-devel 
BuildRequires: libgtk+3.0-devel
BuildRequires: libnotify-devel
BuildRequires: libpango1.0-devel
BuildRequires: libx11-devel 

%description
PNMixer is system tray sound mixer. Currently it supports ALSA and PulseAudio.
It is written in C, depends only on GTK+, and does not require Gnome.

PNMixer is a fork of OBMixer with a number of additions. These include:
* Volume adjustment with the scroll wheel
* Textual display of volume level in popup window
* Continuous volume adjustment when dragging the slider (not just when you let
  go)
* Use system icon theme for icons and use mute/low/medium/high volume icons
* Configurable middle click action (default is mute/unmute)
* Preferences for:
  * volume text display
  * volume text position
  * icon theme
  * amount to adjust per scroll
  * middle click action

%prep
%setup -q


%build
intltoolize --force
autoreconf -vfi
%configure2_5x \
	--enable-maintainer-mode \
	--with-libnotify=yes \
	--with-gtk3=yes

%make

%install
rm -rf %buildroot
%make_install

#desktop file
desktop-file-install \
    --dir=%{buildroot}%{_sysconfdir}/xdg/autostart \
    --add-category="Audio" \
    --add-category="TrayIcon" \
    --add-only-show-in="XFCE" \
    --add-only-show-in="LXDE" \
    --add-only-show-in="MATE" \
    	data/desktop/pnmixer.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README.md
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Apr 25 2017 adrianomorselli <adrianomorselli> 0.7-1uplos2017
- update
